# $Revision: 1.6 $, $Date: 2010/09/21 19:00:06 $
#
Summary:	Last.Fm scrobbler for MTP devices
Name:		mtp-lastfm
Version:	0.83
Release:	5
License:	GPL v3
Group:		Applications
# http://github.com/woodenbrick/mtp-lastfm/tarball/%{version}
%define		commit 9a6ef66
Source0:	http://download.github.com/woodenbrick-%{name}-%{commit}.tar.gz
# Source0-md5:	0774bb8cf776e050dc627a2b0a8d7654
Patch0:		%{name}-desktop.patch
URL:		http://github.com/woodenbrick/mtp-lastfm
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	python-devel
BuildRequires:	python-distutils-extra
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	libmtp-progs
Requires:	python-modules
Requires:	python-pygtk-glade
Requires:	python-pygtk-gtk
Requires:	sqlite3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this program is to scrobble tracks from mtp devices
(such as the Creative Zen, or the Zune) to last.fm. You can love, ban
and tag tracks before scrobbling, and also use the ratings on your
device (5=Love, 1=Ban).

%prep
%setup -qn woodenbrick-%{name}-%{commit}
%patch0 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

# fix unsupported ??_?? locales
for dir in $RPM_BUILD_ROOT%{_localedir}/* ; do
	locale=`basename $dir`
	[ "$locale" = "zh_CN" ] && continue
	mv $RPM_BUILD_ROOT%{_localedir}/"$locale" $RPM_BUILD_ROOT%{_localedir}/"${locale%_*}"
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.textile CHANGELOG
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*
%{_datadir}/%{name}
%{py_sitescriptdir}/mtplastfm
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mtp-lastfm.spec,v $
Revision 1.6  2010/09/21 19:00:06  glen
- release 5

Revision 1.5  2010/07/09 11:19:51  arekm
- release 4

Revision 1.4  2010/07/08 07:55:25  arekm
- release 3

Revision 1.3  2010/05/12 12:55:12  baggins
- rel 2
- desktop file cleanup

Revision 1.2  2010/02/03 18:40:51  sparky
- BR: gettext-devel, intltool, python-devel

Revision 1.1  2010/02/03 12:11:29  jajcus
- new package
